# -----------------------------------------------------------------------------
sub infMLog
{
  ($thishost) = @_;
  #
  #  Check for bad log messages
  #

  if ($up[$thishost] ne "Y")
  {
    &logit("(Down/Inhibited)",$thishost);
    return 1;
  }
    
  &remsh("onstat -m",$tmpfl3,$thishost);

  &logDetails($thishost,"<h3>Informix Message Log</h3>");
  &logDetails($thishost,"<table border=1 bgcolor=$table_bgcolor><tr><td>");
  &logDetails($thishost,"<pre>");
  $z = `cat $tmpfl3`;
  &logDetails($thishost,$z);
  &logDetails($thishost,"</pre></table><hr>");

  if (system("grep -i 'shared memory not' $tmpfl3") == 0) 
  {
    &logit("(Down/Inhibited)",$thishost);
    return 1;
  }

  $found_flag = 0;

  if (system("grep -if $admdir/dbamon.msg_warn $tmpfl3 > $tmpfl4") == 0)
  {
    &event("I",$thishost,"Informational Informix Message Log Message(s) Found","CritMsg","DBA221I",$tmpfl4);
    $found_flag = 1;
  }

  if (system("grep -if $admdir/dbamon.msg_critical $tmpfl3 | grep -vif $admdir/dbamon.msg_critical_bogus > $tmpfl4") == 0)
  {
    &event("C",$thishost,"Critical Informix Message Log Message(s) Found","CritMsg","DBA220C",$tmpfl4);
    $found_flag = 1;
  }
      
  if ($found_flag == 0) 
  {
    logit("OK",$thishost);
  }
}     
# -----------------------------------------------------------------------------
1;
